org.apache.xmlbeans.impl.common

## Class IdentityConstraint

- java.lang.Object
- - org.apache.xmlbeans.impl.common.IdentityConstraint

-     public class IdentityConstraint
      extends Object

  Identity constraint engine. Performs streaming validation of identity constraints. This includes key, keyref, & unique, as well as ID & IDRef.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `IdentityConstraint.ConstraintState`
    `class` | `IdentityConstraint.FieldState`
    `class` | `IdentityConstraint.IdRefState`
    `class` | `IdentityConstraint.IdState`
    `class` | `IdentityConstraint.KeyrefState`
    `class` | `IdentityConstraint.SelectorState`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityConstraint(Collection errorListener, boolean trackIdrefs)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attr(ValidatorListener.Event e, QName name, SchemaType st, String value)`
    `void` | `element(ValidatorListener.Event e, SchemaType st, SchemaIdentityConstraint[] ics)`
    `void` | `endElement(ValidatorListener.Event e)`
    `static XmlError` | `errorForEvent(String msg, int severity, ValidatorListener.Event event)`
    `static XmlError` | `errorForEvent(String code, Object[] args, int severity, ValidatorListener.Event event)`
    `boolean` | `isValid()`
    `void` | `text(ValidatorListener.Event e, SchemaType st, String value, boolean emptyContent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityConstraint

          public IdentityConstraint(Collection errorListener,
                                    boolean trackIdrefs)

  - ### Method Detail

    - #### element

          public void element(ValidatorListener.Event e,
                              SchemaType st,
                              SchemaIdentityConstraint[] ics)

    - #### endElement

          public void endElement(ValidatorListener.Event e)

    - #### attr

          public void attr(ValidatorListener.Event e,
                           QName name,
                           SchemaType st,
                           String value)

    - #### text

          public void text(ValidatorListener.Event e,
                           SchemaType st,
                           String value,
                           boolean emptyContent)

    - #### isValid

          public boolean isValid()

    - #### errorForEvent

          public static XmlError errorForEvent(String code,
                                               Object[] args,
                                               int severity,
                                               ValidatorListener.Event event)

    - #### errorForEvent

          public static XmlError errorForEvent(String msg,
                                               int severity,
                                               ValidatorListener.Event event)